[All Apps] Define rules to construct static splash screen in desktop file

Bug #1378379 reported by Ricardo Mendoza on 2014-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Webapps-core project
Medium
David Barth
Ubuntu UX
Medium
Alex Milazzo
camera-app
Confirmed
Medium
Florian Boucault
dialer-app
Undecided
Unassigned
gallery-app
Fix Released
Undecided
Unassigned
mediaplayer-app
Undecided
Unassigned
messaging-app
Fix Released
Undecided
Unassigned
webbrowser-app
Fix Released
Undecided
Florian Boucault
camera-app (Ubuntu)
Medium
Florian Boucault
dialer-app (Ubuntu RTM)
Undecided
Unassigned
gallery-app (Ubuntu RTM)
Undecided
Unassigned
messaging-app (Ubuntu RTM)
Undecided
Unassigned
webbrowser-app (Ubuntu)
Undecided
Unassigned
webbrowser-app (Ubuntu RTM)
Undecided
Unassigned

Bug Description

Need to start making use of the static splash screen feature recently landed in unity8.

How to use them can be found in:

https://lists.launchpad.net/ubuntu-phone/msg09996.html

And a current example is address-book-app.

Related branches

Jim Hodapp (jhodapp) wrote :

Would you include mediaplayer-app?

Olivier Tilloy (osomon) wrote :

I just added an ubuntu-ux task as we’re gonna need guidance from the design team as to what to display for each application.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gallery-app - 0.0.67+14.10.20141008-0ubuntu1

---------------
gallery-app (0.0.67+14.10.20141008-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Arthur Mello ]
  * Fix the gallery-app crash when removing files (LP: #1334807)
  * Fix header label not being updated correctly (LP: #1377765)

  [ Ugo Riboni ]
  * Do not upscale the thumbnail when viewing the unzoomed picture but
    load a downscaled version of the picture instead (LP: #1376767)

  [ Niklas Wenzel ]
  * Correct the title for delete dialog based on video or photo.

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Wed, 08 Oct 2014 02:34:53 +0000

Changed in gallery-app (Ubuntu RTM):
status: New → Fix Released
Changed in camera-app:
assignee: nobody → Florian Boucault (fboucault)
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package messaging-app - 0.1+14.10.20141007.1-0ubuntu1

---------------
messaging-app (0.1+14.10.20141007.1-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Ship the messaging-app icon together with the package (LP: #1365408)

  [ Tiago Salem Herrmann ]
  * Add initial support for the new information messageType. Notify
    users when the active sim card was switched. (LP: #1356950)
  * Don't show the attachment popup on onClicked(). Update bottom edge
    behavior (LP: #1368718)
  * Add support for sim lock. (LP: #1371661)
  * Fix black image in the mms preview. (LP: #1373462)
  * Make conversations view header fixed.
 -- Ubuntu daily release <email address hidden> Tue, 07 Oct 2014 16:58:07 +0000

Changed in messaging-app (Ubuntu RTM):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dialer-app - 0.1+14.10.20141007.1-0ubuntu1

---------------
dialer-app (0.1+14.10.20141007.1-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Display different labels when in emergency mode and when the sim
    card is locked.
  * Remove some code duplication and make sure emergency calling is
    always available.
  * Ship the dialer-app icon in the package. (LP: #1365408)

  [ Tiago Salem Herrmann ]
  * Add support for sim lock detection (LP: #1371661)
  * Remove some code duplication and make sure emergency calling is
    always available.

  [ Albert Astals ]
  * Add i18n.tr
 -- Ubuntu daily release <email address hidden> Tue, 07 Oct 2014 17:02:04 +0000

Changed in dialer-app (Ubuntu RTM):
status: New → Fix Released
Changed in ubuntu-ux:
assignee: nobody → Giorgio Venturi (giorgio-venturi)
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-ux:
status: Triaged → In Progress
Olga Kemmet (olga-kemmet) wrote :

Design guidance for messaging-app & phone-app: please mimic the currently implemented behaviour on the address-book-app. The app is shown empty but there is a spinner, signaling to the user that loading is in progress.

David Barth (dbarth) on 2014-10-09
Changed in webapps-core:
assignee: nobody → David Barth (dbarth)
importance: Undecided → Medium
status: New → Triaged
Arthur Mello (artmello) on 2014-10-09
Changed in gallery-app:
status: New → Fix Released
Changed in camera-app:
importance: Undecided → Medium
Changed in camera-app:
status: Confirmed → In Progress
John Lea (johnlea) on 2014-12-05
summary: - Define rules to construct static splash screen in desktop file
+ [All Apps] Define rules to construct static splash screen in desktop
+ file
Changed in messaging-app:
status: New → Fix Released
Changed in dialer-app:
status: New → Fix Released
Changed in webbrowser-app:
status: New → Confirmed
Olivier Tilloy (osomon) on 2015-02-03
Changed in webbrowser-app:
assignee: nobody → Florian Boucault (fboucault)
status: Confirmed → In Progress
Changed in webbrowser-app (Ubuntu):
status: New → In Progress
Changed in webbrowser-app (Ubuntu RTM):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+15.04.20150203-0ubuntu1

---------------
webbrowser-app (0.23+15.04.20150203-0ubuntu1) vivid; urgency=medium

  [ Florian Boucault ]
  * Make splashscreen white instead of the default black. (LP: #1378379)

  [ Niklas Wenzel ]
  * Add the ability to open a link in a new background tab (LP:
    #1339437)

  [ Olivier Tilloy ]
  * Use the new restoreState API in oxide 1.4 to properly save and
    restore navigation state across sessions. (LP: #1353143)
  * Add a UA override for youtube.com on desktop to fix video playback.
    (LP: #1412880)
 -- Ubuntu daily release <email address hidden> Tue, 03 Feb 2015 11:06:38 +0000

Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-ux:
assignee: Giorgio Venturi (giorgio-venturi) → Alex Milazzo (digitalalex)
Olivier Tilloy (osomon) on 2015-04-14
Changed in webbrowser-app:
status: In Progress → Fix Released
Olivier Tilloy (osomon) on 2015-06-16
Changed in webbrowser-app (Ubuntu RTM):
assignee: nobody → Olivier Tilloy (osomon)
status: Confirmed → Fix Released
assignee: Olivier Tilloy (osomon) → nobody
Changed in ubuntu-ux:
status: In Progress → Fix Released
Changed in camera-app:
status: In Progress → Confirmed
Changed in camera-app (Ubuntu):
assignee: nobody → Florian Boucault (fboucault)
importance: Undecided → Medium
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers